proc tac_cmd_shell {exp line} {
    if {![regexp -- {^(\!) (.*)$} $line match cmd exc]} {
        tac_output "Usage: [tac_get_help $exp]"
        return
    }

    set exitcode [catch {tac_output [exec $exc]}]
    if { $exitcode == 1 } { tac_output "An error occurred with the command." }
}

tac_register_cmd "^\! "       tac_cmd_shell          "  ! command        execute shell command"
